Ubuntu

[Intel 82801H] sound card volume inaudibly low unless model=mitac specified

Reported by Pac Shady on 2008-04-02
78
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ALSA driver
New
Unknown
alsa-driver (Ubuntu)
Low
Unassigned
alsa-lib (Ubuntu)
Undecided
Unassigned
alsaplayer (Ubuntu)
Undecided
Unassigned
alsa-utils (Ubuntu)
Undecided
Unassigned
linux (Ubuntu)
Low
Unassigned

Bug Description

I've tried everything to get this sound working. Headphones work fine, they're loud and clear, but speakers don't work at all. I've recompiled from alsa-source. I've recompiled from source files direct from ALSA. I've tried adding various options in /etc/modprobe.d/alsa-base. Nothing works.

What's more, alsamixer doesn't work. Whenever I try to run alsamixer, it spits an error back at me (listed below), so I can't tell if the speaker channel is just muted or not.

I'm running Kubuntu Hardy Beta, however the same problem occurred in Gutsy.

sudo lspci -vv
...
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
        Subsystem: Mitac Unknown device 8227
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 22
        Region 0: Memory at fc200000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
                Address: 0000000000000000 Data: 0000
        Capabilities: [70] Express Unknown type IRQ 0
                Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s <64ns, L1 <1us
                Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
                Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
                Device: MaxPayload 128 bytes, MaxReadReq 128 bytes
                Link: Supported Speed unknown, Width x0, ASPM unknown, Port 0
                Link: Latency L0s <64ns, L1 <1us
                Link: ASPM Disabled CommClk- ExtSynch-
                Link: Speed unknown, Width x0
...

aplay -l
card 0: Intel [HDA Intel], device 0: ALC883 Analog [ALC883 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: ALC268 Digital [ALC268 Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 5: ALC268 Analog [ALC268 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

alsamixer
ALSA lib simple_none.c:1491:(simple_add1) helem (MIXER,'Headphone Playback Switch',0,2,0) appears twice or more
alsamixer: function snd_mixer_load failed: Invalid argument

cat /proc/asound/modules
0 snd_hda_intel

[Update]
A patch was provided on the uptstreamed bug which resolves the issue. The issue seems to be that the 82801H (8086:284b) is really a rebranded mitac card but the driver doesn't pick this up properly. This patch is included in Ubuntu now, but you have to append the following to your /etc/modprobe.d/alsa-base:

  options snd-hda-intel model=mitac

For those on older Ubuntu versions like Hardy, you'll need to hand-patch your alsa-driver to gain the support. See the upstream bug at https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3886 for details.

Hi Pac,

Care to attach the output of running "alsa-info.sh --no-upload" . The script is available from here: https://wiki.ubuntu.com/DebuggingSoundProblems . Thanks.

Changed in linux:
status: New → Incomplete
Pac Shady (pacshady) wrote :

Sure, here's my output from alsa-info.sh

Pac Shady (pacshady) wrote :

alsa-info.txt is now provided

Changed in linux:
status: Incomplete → New

Hi Pac,

Just curious if something like gnome-alsamixer will work for you to let you see if something is muted? The alsamixer issue seems related to https://bugs.edge.launchpad.net/ubuntu/+source/alsa-driver/+bug/192382 which was fixed in alsa-source but hasn't yet been pulled into linux-ubuntu-modules (see comment from Daniel https://bugs.edge.launchpad.net/ubuntu/+source/alsa-driver/+bug/192382/comments/13)

I also notice you're running the 2.6.24-12 kernel. Care to install the latest updates to see if that helps. Thanks.

Changed in linux:
status: New → Confirmed
Pac Shady (pacshady) wrote :

I'll try gnome-alsamixer and see what happens, but I don't like my chances :s. The bug you posted is different from what I'm getting, plus I also compiled ALSA again both from alsa-source AND from ALSA's own source well after the post about it being fixed (so to bypass having to wait for linux-ubuntu-modules).

Pac Shady (pacshady) wrote :

Nope, gnome-alsamixer didn't work, for the same reason by the looks of it:

gnome-alsamixer
ALSA lib simple_none.c:1491:(simple_add1) helem (MIXER,'Headphone Playback Switch',0,2,0) appears twice or more

(gnome-alsamixer:11010): GLib-GObject-CRITICAL **: g_type_instance_get_private: assertion `instance != NULL && instance->g_class != NULL' failed

(gnome-alsamixer:11010): GLib-GObject-CRITICAL **: g_type_instance_get_private: assertion `instance != NULL && instance->g_class != NULL' failed
Segmentation fault (core dumped)

What's this PulseAudio thing I keep reading about? Can I replace ALSA with it altogether? Or does it need ALSA to work as well? Apparently it's supposed to be in Hardy, but ALSA still seems to be the dominant sound system (Ubuntu only maybe?).

Pac Shady (pacshady) wrote :

Latest updates haven't done anything to fix the sound. Same alsamixer error as I had before.

Gonna try OSS see if that makes a difference.

Pac Shady (pacshady) wrote :

OSS gives me sound, but I don't know how to make it work with KDE. Also, the sound server doesn't start at startup, I need to start it in Sound Settings for it to work (but I get the test sound then). KMix crashes when loading as well. And I can't get PulseAudio to work because it keeps telling me "Connection Refused".

Pac Shady (pacshady) wrote :

cat /proc/asound/devices
  0: [ 0] : control
  1: : sequencer
  4: [ 0- 0]: hardware dependent
  5: [ 0- 1]: hardware dependent
  6: [ 0- 2]: hardware dependent
 16: [ 0- 0]: digital audio playback
 17: [ 0- 1]: digital audio playback
 20: [ 0- 4]: digital audio playback
 24: [ 0- 0]: digital audio capture
 26: [ 0- 2]: digital audio capture
 28: [ 0- 4]: digital audio capture
 33: : timer

aplay -L
default:CARD=Intel
    HDA Intel, ALC883 Analog
    Default Audio Device
front:CARD=Intel,DEV=0
    HDA Intel, ALC883 Analog
    Front speakers
surround40:CARD=Intel,DEV=0
    HDA Intel, ALC883 Analog
    4.0 Surround output to Front and Rear speakers
surround41:CARD=Intel,DEV=0
    HDA Intel, ALC883 Analog
    4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=Intel,DEV=0
    HDA Intel, ALC883 Analog
    5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=Intel,DEV=0
    HDA Intel, ALC883 Analog
    5.1 Surround output to Front, Center, Rear and Subwoofer speakers
surround71:CARD=Intel,DEV=0
    HDA Intel, ALC883 Analog
    7.1 Surround output to Front, Center, Side, Rear and Woofer speakers
null
    Discard all samples (playback) or generate zero samples (capture)

Changed in alsa-driver:
status: Unknown → New
Pac Shady (pacshady) wrote :

cat /dev/sndstat
Sound Driver:3.8.1a-980706 (ALSA v1.0.16 emulation code)
Kernel: Linux ShadyLappyMKII 2.6.24-15-generic #1 SMP Tue Apr 8 00:33:51 UTC 2008 i686
Config options: 0

Installed drivers:
Type 10: ALSA emulation

Card config:
HDA Intel at 0xfc200000 irq 22

Audio devices:
0: ALC883 Analog (DUPLEX)

Synth devices: NOT ENABLED IN CONFIG

Midi devices: NOT ENABLED IN CONFIG

Timers:
7: system timer

Mixers:
0: Realtek ALC268

 ls /dev/snd -l
total 0
crw-rw----+ 1 root audio 116, 0 2008-04-10 10:05 controlC0
crw-rw----+ 1 root audio 116, 4 2008-04-10 10:05 hwC0D0
crw-rw----+ 1 root audio 116, 5 2008-04-10 10:05 hwC0D1
crw-rw----+ 1 root audio 116, 6 2008-04-10 10:05 hwC0D2
crw-rw----+ 1 root audio 116, 24 2008-04-10 10:05 pcmC0D0c
crw-rw----+ 1 root audio 116, 16 2008-04-10 12:09 pcmC0D0p
crw-rw----+ 1 root audio 116, 17 2008-04-10 10:05 pcmC0D1p
crw-rw----+ 1 root audio 116, 26 2008-04-10 10:05 pcmC0D2c
crw-rw----+ 1 root audio 116, 28 2008-04-10 10:05 pcmC0D4c
crw-rw----+ 1 root audio 116, 20 2008-04-10 10:05 pcmC0D4p
crw-rw----+ 1 root audio 116, 1 2008-04-10 10:05 seq
crw-rw----+ 1 root audio 116, 33 2008-04-10 10:05 timer

Pac Shady (pacshady) wrote :

Complete lspci -vvnn output

Pac Shady (pacshady) wrote :

Complete dmesg output

Pac Shady (pacshady) wrote :

gnome-alsamixer has the same problem as alsamixer as mentioned. Kernel is now up-to-date, still problem remains. Linked bugs are unrelated.

Renzokiller (renzokiller) wrote :

I confirm this hardware doesn't work with alsa. Only OSS from 4front is working, but not integrated in the system. We can't consider this hardware defective, so we can consider software isn't able to use it !

LiCo (rje-derks) wrote :

Hi there,

I have the same problem. I read something yesterday, but can't find it back, so no link sorry. I read that audio and modem somehow linked together. I noticed that on my laptop KUbuntu doesn't recognize my modem. Could this maybe related or is it nonsense?
Cheers

Pac Shady (pacshady) wrote :

A patched module has been made thanks to RenZO. Details on the patch, a link to the file to download, and how to install it, are outlined at http://ubuntuforums.org/showpost.php?p=4871189&postcount=30

Now the changes just have to be added to ALSA proper and it'll be set. Thanks for the time you spent on making this patch RenZO!

Pac Shady (pacshady) wrote :

The patched module now fails with the latest kernel update.

Pac Shady (pacshady) wrote :

Managed to work out how to repatch ALSA when needed (eg. when the kernel is updated).

Instructions for doing so are as follows:
* download alsa-driver-1.0.16 source and extract
* download this patch and extract to alsa-driver-1.0.16/alsa-kernel/pci/hda/
* configure by running "sudo ./configure --with-kernel=/usr/src/linux-headers-$(uname -r) --with-cards=hda-intel --with-oss=yes", then 'sudo make' and 'sudo make install'
* run "sudo cp /lib/modules/$( uname -r )/kernel/sound/pci/hda/snd-hda-intel.ko /lib/modules/$( uname -r )/ubuntu/sound/alsa-driver/pci/hda/"
* if you haven't done it yet already, be sure to add "options snd-hda-intel model=mitac" to the end of /etc/modprobe.d/alsa-base

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: Confirmed → Triaged
elektronaut (hendrik-04) wrote :

These instructions didn't work for me with kernel 2.6.24.18.
(2.6.24.19 has sound, but I can't use it because of other trouble.)

jan (jan-ubuntu-h-i-s) wrote :

I did have sound with a similar configuration.
However, after disabling ESD and alsa-utils (trying to debug another problem) I lost sound.
Configuration files resemble the above. Software seems to recognize everything, but no sound.

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Susan Cragin (susancragin) wrote :

working for me on 2.6.26-5 and
2.6.26-1-rt
Asus G1S

jan (jan-ubuntu-h-i-s) wrote :

Problem for me is resolved. Probable cause in my case: during upgrades, and/or enabling/disabling sound service, "front" setting became very low. As I did non recognise that double-clicking the speaker icon opens a panel with more settings, I have searched for a couple of hours before I located it.
I still suspect the hardy upgrader for not upgrading the (new ?!) configuration value.

Thanks for the updates. Pac Shady, since you are the original bug reporter, care to comment if this is resolved for you with the 2.6.27 kernel? Thanks.

Pac Shady (pacshady) wrote :

The sound still doesn't work out of the box with the Intrepid Alpha 5 LiveCD. My dmesg, lspci, lsusb and uname -r logs are attached. Let me know if anything else is needed.

Daniel T Chen (crimsun) wrote :

Pac, just to clarify, which model quirk are you using, if any, to get audible audio? The 26[78] init sections in patch_realtek.c are likely culprits.

Changed in alsa-driver:
status: New → Won't Fix
Changed in alsa-lib:
status: New → Invalid
Changed in alsaplayer:
status: New → Invalid
Changed in alsa-utils:
status: New → Invalid
JJMayol (jean-jose-mayol) wrote :

Here's my output from alsa-info.sh

It seem's that on my laptop I got the same problem.

Could-you confirm, please ?

Joseph Smidt (jsmidt) wrote :

I have the same problem, I can't really hear anything. Hear is lspci | grep -i audio:

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

I have attached my alsa-info.txt.

Joseph Smidt (jsmidt) wrote :

I found a fix which worked for me. I did "alsamixer -Dhw" and discovered front was down at 70%. This does not make sense since I never changed it. (I didn't even know about the command "alsamixer -Dhw" until now.)

I don't know if an upgrade somehow changed my front value?

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

I also have a 82801H audio controller, and also ran into this problem of the volume being so low as to be nearly inaudible (I could barely hear it if I connected the output to my stereo receiver and cranked it up to max).

Adding this option to /etc/modprobe.d/alsa-base solved it for me:

  options snd-hda-intel model=mitac

I also found that Front was set to 70%, so tinkering around in alsa-mixer got my volumes to exactly as I wanted them.

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
 Subsystem: Intel Corporation Device 2503
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 22
 Region 0: Memory at e0320000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: [50] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
  Address: 0000000000000000 Data: 0000
 Capabilities: [70] Express (v1) Root Complex Integrated Endpoint, MSI 00
  DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
   ExtTag- RBE- FLReset-
  DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
   RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
   MaxPayload 128 bytes, MaxReadReq 128 bytes
  DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
  LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
   ClockPM- Suprise- LLActRep- BwNot-
  LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
   ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
  LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
 Capabilities: [100] Virtual Channel <?>
 Capabilities: [130] Root Complex Link <?>
 Kernel driver in use: HDA Intel
 Kernel modules: snd-hda-intel

Bryce Harrington (bryce) on 2009-01-03
description: updated
Bryce Harrington (bryce) wrote :

I think a quirk is needed for the various 82801H cards that show this problem, maybe something like this (untested) patch? This is my first patch to alsa-driver so apologies if I got anything wrong.

Bryce Harrington (bryce) wrote :

@Luke - would you mind reviewing/correcting the above patch for this hardware?

This seems to be a fairly frequently reported problem (I found five likely dupes, and there's a few other 82801* cards with similar symptoms, marked as regressions since hardy).

Changed in alsa-driver:
importance: Undecided → High
status: Won't Fix → Triaged
Luke Yelavich (themuso) wrote :

Bryce, just to be sure, could you plesae run http://www.alsa-project.org/alsa-info.sh in a similar fashion to others in this report?

Daniel, does this patch look sane? (I'm relatively inexperienced with kernel patching and the hda code.)

Bryce Harrington (bryce) wrote :

See also bug 315971 and bug 274884, which exacerbate this problem, making sound quite a challenge to get functioning properly on this chipset. (I've been able to get it working, it just takes quite a bit of fiddling, using workarounds listed on these 3 bugs.)

Dru (awd3h) wrote :

The "alsamixer -Dhw" fix for me worked. Somehow <PCM> was changed (not by me) to be at zero and increasing it removed the static and restored the volume.

I think bug #312302 is probably related to this.

Bruno Girin (brunogirin) wrote :

I have the same problem with Jaunty beta (kernel 2.6.28-11) on a Thinkpad T42 with an Intel 82801DB-ICH4 sound card.

after an upgrade i have sound only in the login session but no sound when start. no sound in control panel, rhythmbox, pidgin, etc

some information:

kernel 2.6.28-11-generic

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
 Subsystem: Dell Device 022f
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 21
 Region 0: Memory at fe9fc000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>
 Kernel driver in use: HDA Intel
 Kernel modules: snd-hda-intel

---------------------------------

cat /proc/asound/devices
  2: : timer
  3: : sequencer
  4: [ 0- 0]: digital audio playback
  5: [ 0- 0]: digital audio capture
  6: [ 0- 3]: digital audio playback
  7: [ 0] : control

---------------------------------

aplay -L
front:CARD=Intel,DEV=0
    HDA Intel, STAC92xx Analog
    Front speakers
surround40:CARD=Intel,DEV=0
    HDA Intel, STAC92xx Analog
    4.0 Surround output to Front and Rear speakers
surround41:CARD=Intel,DEV=0
    HDA Intel, STAC92xx Analog
    4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=Intel,DEV=0
    HDA Intel, STAC92xx Analog
    5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=Intel,DEV=0
    HDA Intel, STAC92xx Analog
    5.1 Surround output to Front, Center, Rear and Subwoofer speakers
surround71:CARD=Intel,DEV=0
    HDA Intel, STAC92xx Analog
    7.1 Surround output to Front, Center, Side, Rear and Woofer speakers
hdmi:CARD=Intel,DEV=0
    HDA Intel, INTEL HDMI
    HDMI Audio Output
null
    Discard all samples (playback) or generate zero samples (capture)

---------------------------------

cat /dev/sndstat
Sound Driver:3.8.1a-980706 (ALSA v1.0.18rc3 emulation code)
Kernel: Linux nostromo 2.6.28-11-generic #41-Ubuntu SMP Wed Apr 8 04:38:53 UTC 2009 i686
Config options: 0

Installed drivers:
Type 10: ALSA emulation

Card config:
HDA Intel at 0xfe9fc000 irq 21

Audio devices:
0: STAC92xx Analog (DUPLEX)

Synth devices: NOT ENABLED IN CONFIG

Midi devices: NOT ENABLED IN CONFIG

Timers:
31: system timer

Mixers:
0: SigmaTel STAC9228

nevermind, i restart and works again

Bruno Girin (brunogirin) wrote :

This issue appears resolved on latest Jaunty for my system (Thinkpad T42 with an Intel 82801DB-ICH4 sound card).

For people on Hardy or Intrepid, I suggest you have a look at this howto, it helped me sort out all sound problems I had: http://ubuntuforums.org/showthread.php?t=789578

Appendix C in that howto is also very useful for Jaunty users.

Pac Shady (pacshady) wrote :

Same problem still exists for me in Jaunty. Adding the Mitac option into alsa-base doesn't fix it, and alsamixer still displays the same error:

ALSA lib simple_none.c:1536:(simple_add1) helem (MIXER,'Headphone Playback Switch',0,2,0) appears twice or more

alsamixer: function snd_mixer_load failed: Invalid argument

I still need to download the ALSA source, patch it and compile it myself before I get sound working. The Mitac option ONLY works for me if I've done this.

Daniel T Chen (crimsun) wrote :

Bryce, your patches are upstreamed.

Pac, it looks like you need to modify patch_realtek.c to support the automatic creation of non-zero index slave controls similar to what Takashi did in sound-2.6.git commit 668b9652be33510a2a42b290dd335d34d38e2068 for patch_sigmatel.c.

(Also lowering importance due to probe_mask=1 workaround)

Changed in alsa-driver (Ubuntu):
importance: High → Low
Changed in linux (Ubuntu):
importance: Medium → Low

[This is an automated message. Apologies if it has reached you inappropriately.]

This bug was flagged as having a patch attached. The Ubuntu Kernel Team's preferred policy is for all patches to be submitted and accepted into the upstream kernel before agreeing to merge them into the Ubuntu kernel. The goal for the Ubuntu kernel is to have little to no divergence from the upstream linux kernel source.

https://wiki.ubuntu.com/KernelTeam/KernelPatches has been written to document the suggested policy and procedures for helping get a patch merged upstream and subsequently into the Ubuntu kernel. Please take the time to review that wiki if this patch should be considered for inclusion into the upstream and Ubuntu kernel. Let us know if you have any questions or need any help via the Ubuntu Kernel Team mailing list. Thanks in advance.

tags: added: kj-comment
Brad Figg (brad-figg) on 2010-03-31
tags: added: hardy
David Henningsson (diwic) wrote :

Trying to sum this up, it seems like most people got it working, and that things are upstreamed, so I assume it is fixed in the latest release of Ubuntu. If it is not, please file a new bug and add a comment that references this one. Thanks!

Changed in alsa-driver (Ubuntu):
status: Triaged → Fix Released
Changed in linux (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.